PostgreSQL is a powerful, open source object-relational database system.

learn more… | top users | synonyms

1
vote
1answer
561 views

Is there syntax highlighting for psql?

Is there some setting or package that I could use to give syntax highlighting to psql (the PostgreSQL shell)?
2
votes
2answers
2k views

How to install older version on PostgreSQL and PHP5?

Because of differencies in package versions between my development machine and my provider's server, I have to downgrade packages installed on my computer. In Ubuntu 10.04 LTS default PostgreSQL ...
9
votes
1answer
4k views

How do I set which PostgreSQL version is to be used by default?

I have 2 different versions of PostgreSQL installed on my system (Ubuntu Lucid): /var/lib/postgresql/8.4 /var/lib/postgresql/9.0 By default, when I run a PostgreSQL command such as createdb or ...
1
vote
3answers
1k views

When will postgres 9 be supported?

When will Ubuntu support postgres 9?
6
votes
2answers
3k views

Where can I get a Postgres 9.0 package?

I want to use Postgres 9.0 in Ubuntu. Does anybody know any repository that already has the debian package for Postgres 9.0? Do you think I should wait for the next Ubuntu release or Postgres 9.0 is ...
0
votes
2answers
378 views

After upgrade to 10.10, mediawiki on postgres is broken

I upgraded to Ubuntu 10.10 from 10.04. 90% of the upgrade was ok but my Ubuntu-apache2-postgres-8.4 - mediawiki1.16 does not work anymore. Is there a bug in the postgres client or in php5 pg?
5
votes
3answers
6k views

pgadmin3: Unable to initialize gtk, is DISPLAY set properly? [closed]

I'm having some trouble getting pgadmin3 to run on a remote server. I'm logging in to the server using SSH with the -X option. When I first installed pgadmin3, I was able to launch it using the ...